# synfig::Target_Multi Class Reference

Render-target. More...

`#include <target_multi.h>`

Inheritance diagram for synfig::Target_Multi:

List of all members.

## Public Member Functions

| Target_Multi (Target_Scanline::Handle a, Target_Scanline::Handle b)
virtual | ~Target_Multi ()
virtual bool | add_frame (const synfig::Surface *surface)
virtual bool | start_frame (ProgressCallback *cb=NULL)
| Marks the start of a frame.
virtual void | end_frame ()
| Marks the end of a frame.
virtual Color * | start_scanline (int scanline)
| Marks the start of a scanline.
virtual bool | end_scanline ()
| Marks the end of a scanline.
virtual void | set_canvas (etl::handle< Canvas > c)
virtual bool | set_rend_desc (RendDesc *d)
| Sets the RendDesc for the Target to desc.
virtual bool | init ()

## Detailed Description

Render-target.

Todo:
  writeme

## Constructor & Destructor Documentation

Target_Multi::Target_Multi | ( | Target_Scanline::Handle | a,
|  | Target_Scanline::Handle | b |
| ) |  |  |

Target_Multi::~Target_Multi | ( |  | ) | `[virtual]`

## Member Function Documentation

bool Target_Multi::add_frame | ( | const synfig::Surface * | surface | ) | `[virtual]`

Reimplemented from synfig::Target_Scanline.

bool Target_Multi::start_frame | ( | ProgressCallback * | cb = `NULL` | ) | `[virtual]`

Marks the start of a frame.

Returns:
  `true` on success, `false` upon an error.

See also:
  end_frame(), start_scanline()

Implements synfig::Target_Scanline.

void Target_Multi::end_frame | ( |  | ) | `[virtual]`

Marks the end of a frame.

See also:
  start_frame()

Implements synfig::Target_Scanline.

Color * Target_Multi::start_scanline | ( | int | scanline | ) | `[virtual]`

Marks the start of a scanline.

Parameters:

  | scanline | Which scanline is going to be rendered.

Returns:
  The address where the target wants the scanline to be written.

Warning:
  Must be called after start_frame()

See also:
  end_scanline(), start_frame()

Implements synfig::Target_Scanline.

bool Target_Multi::end_scanline | ( |  | ) | `[virtual]`

Marks the end of a scanline.

Takes the data that was put at the address returned to by start_scanline() and does whatever it is supposed to do with it.

Returns:
  `true` on success, `false` on failure.

See also:
  start_scanline()

Implements synfig::Target_Scanline.

References synfig::Target::desc, and synfig::RendDesc::get_w().

void Target_Multi::set_canvas | ( | etl::handle< Canvas > | c | ) | `[virtual]`

Reimplemented from synfig::Target.

References synfig::Target::canvas, synfig::Target::desc, and set_rend_desc().

bool Target_Multi::set_rend_desc | ( | RendDesc * | d | ) | `[virtual]`

Sets the RendDesc for the Target to desc.

If there are any parts of desc that the render target is not capable of doing, the render target will adjust desc to fit its needs.

Reimplemented from synfig::Target.

References synfig::Target::desc.

Referenced by set_canvas().

bool Target_Multi::init | ( |  | ) | `[virtual]`

Reimplemented from synfig::Target.

The documentation for this class was generated from the following files:

- target_multi.h
- target_multi.cpp